Loading...
Searching...
No Matches
cxx::static_vector< T, IDX > Class Template Reference

Simple encapsulation for a dynamically allocated array. More...

`#include <static_vector>`

Collaboration diagram for cxx::static_vector< T, IDX >:

## Public Member Functions

template<typename X, typename = enable_if_t<is_convertible<X, T>::value>>
| static_vector (static_vector< X, IDX > const &o)
| Conversion from compatible arrays.
index_type | index (value_type const *o) const
| Get the index of the given element of the array.

## Detailed Description

template<typename T, typename IDX = unsigned>
class cxx::static_vector< T, IDX >

Simple encapsulation for a dynamically allocated array.

The main purpose of this class is to support C++11 range for for simple dynamically allocated array with static size.

Definition at line 16 of file static_vector.

The documentation for this class was generated from the following file:

- l4/cxx/static_vector